CREATE OR REPLACE VIEW V_NNPRIVEZ_REZERVAC AS (
SELECT DISTINCT NN.ID_PRIVEZ || '-' || PL.ID || '-' || KU.ID AS ID, NN.ID_PRIVEZ, NN.OBJEKT, NN.KATEGORIJA, NN.N_PRIVEZA, NN.DOLZINA, NN.SIRINA, NN.VISINA, NN.GLOBINA,
NN.LIMIT, NN.ZASEDENO, NN.PROST_DO, NN.ZASEDEN_DO, VR.ID AS REZERVAC_ID, PL.ID AS ID_PLOVILA, PL.IME AS IME_PLOVILA,
KU.ID AS ID_LASTNIKA, KU.IME AS IME_LASTNIKA, KU.PRIIMEK AS PRIIMEK_LASTNIKA, VR.ID_PRESPR FROM NNPRIVEZ NN
LEFT JOIN V_REZERVAC VR ON VR.ID_PRIVEZ = NN.ID_PRIVEZ AND VR.PRISOTNO = 1
LEFT JOIN PLOVILA PL ON VR.ID_PLOVILA = PL.ID
LEFT JOIN KUPCI KU ON VR.ID_LASTNIKA = KU.ID
);


insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(355, SYSDATE, '5.5', 275, 'Dodana kategorija k pogledu V_NNPRIVEZ_REZERVAC');