CREATE TABLE ZSTANJE 
   (	DAN DATE, 
	COORD VARCHAR2(30 BYTE)
   );
 

  CREATE TABLE YSTANJE 
   (	ID NUMBER NOT NULL ENABLE, 
	SUBJEKT VARCHAR2(50 BYTE) NOT NULL ENABLE, 
	SKLENITEV NUMBER, 
	PREKINITEV NUMBER, 
	POGODBA NUMBER, 
	IZHOD NUMBER, 
	VRNITEV NUMBER, 
	ODSOTNOST NUMBER, 
	SPREJEM NUMBER, 
	PREMIK NUMBER, 
	ODHOD NUMBER, 
	DNEVNI NUMBER, 
	 PRIMARY KEY (ID, SUBJEKT));
 


  CREATE TABLE XNNVRSRAC 
   (	NIVO NUMBER, 
	ID1 NUMBER, 
	ID2 NUMBER, 
	ID3 NUMBER, 
	ID4 NUMBER, 
	ID5 NUMBER, 
	ID6 NUMBER, 
	ID7 NUMBER, 
	ID NUMBER, 
	SUBJEKT1 VARCHAR2(50 BYTE), 
	SUBJEKT2 VARCHAR2(50 BYTE), 
	SUBJEKT3 VARCHAR2(50 BYTE), 
	SUBJEKT4 VARCHAR2(50 BYTE), 
	SUBJEKT5 VARCHAR2(50 BYTE), 
	SUBJEKT6 VARCHAR2(50 BYTE), 
	SUBJEKT7 VARCHAR2(50 BYTE), 
	SIFRA VARCHAR2(3 BYTE), 
	 PRIMARY KEY (NIVO, ID1, ID2, ID3, ID4, ID5, ID6, ID7));

 

  CREATE TABLE XNNVALUTA 
   (	NIVO NUMBER, 
	ID1 NUMBER, 
	ID2 NUMBER, 
	ID3 NUMBER, 
	ID4 NUMBER, 
	ID5 NUMBER, 
	ID6 NUMBER, 
	ID7 NUMBER, 
	ID NUMBER, 
	SUBJEKT1 VARCHAR2(50 BYTE), 
	SUBJEKT2 VARCHAR2(50 BYTE), 
	SUBJEKT3 VARCHAR2(50 BYTE), 
	SUBJEKT4 VARCHAR2(50 BYTE), 
	SUBJEKT5 VARCHAR2(50 BYTE), 
	SUBJEKT6 VARCHAR2(50 BYTE), 
	SUBJEKT7 VARCHAR2(50 BYTE), 
	LIST VARCHAR2(50 BYTE), 
	OZNAKA VARCHAR2(5 BYTE)
   ) ;


  CREATE TABLE OBDOBJA 
   (	NIVO NUMBER, 
	ID1 NUMBER, 
	ID2 NUMBER, 
	ID3 NUMBER, 
	ID4 NUMBER, 
	ID5 NUMBER, 
	ID6 NUMBER, 
	ID7 NUMBER, 
	ID NUMBER, 
	SUBJEKT1 VARCHAR2(50 BYTE), 
	SUBJEKT2 VARCHAR2(50 BYTE), 
	SUBJEKT3 VARCHAR2(50 BYTE), 
	SUBJEKT4 VARCHAR2(50 BYTE), 
	SUBJEKT5 VARCHAR2(50 BYTE), 
	SUBJEKT6 VARCHAR2(50 BYTE), 
	SUBJEKT7 VARCHAR2(50 BYTE), 
	OD DATE, 
	DO DATE, 
	STEVEC NUMBER, 
	 PRIMARY KEY (NIVO, ID1, ID2, ID3, ID4, ID5, ID6, ID7));
 

  CREATE INDEX OBDOBJA_NIVO_OD ON OBDOBJA (NIVO, OD);


  CREATE TABLE YPRILIVI 
   (	ID NUMBER, 
	SUBJEKT VARCHAR2(50 BYTE), 
	ZNESEK1 NUMBER, 
	ZNESEK2 NUMBER
   ) ;
 

  CREATE TABLE ZPRILIVI 
   (	LETO1 NUMBER, 
	LETO2 NUMBER, 
	COORD1 VARCHAR2(30 BYTE), 
	COORD2 VARCHAR2(30 BYTE)
   );
 

  CREATE TABLE X 
   (	NIVO NUMBER NOT NULL ENABLE, 
	ID1 NUMBER NOT NULL ENABLE, 
	ID2 NUMBER NOT NULL ENABLE, 
	ID NUMBER, 
	SUBJEKT1 VARCHAR2(50 BYTE), 
	SUBJEKT2 VARCHAR2(50 BYTE), 
	OBJEKT VARCHAR2(8 BYTE), 
	N_PRIVEZA VARCHAR2(12 BYTE), 
	KATEGORIJA VARCHAR2(2 BYTE), 
	 PRIMARY KEY (NIVO, ID1, ID2));
 

  CREATE INDEX PORTOROZ_X_IND ON X (ID);

 

  CREATE TABLE XDOGODKI 
   (	DAN DATE NOT NULL ENABLE, 
	IDOBJ NUMBER NOT NULL ENABLE, 
	SP NUMBER, 
	PR NUMBER, 
	IZ NUMBER, 
	OD NUMBER, 
	VR NUMBER, 
	XX NUMBER, 
	 PRIMARY KEY (DAN, IDOBJ));
 

  CREATE TABLE XKUPCI 
   (	NIVO NUMBER, 
	ID1 NUMBER, 
	ID2 NUMBER, 
	ID3 NUMBER, 
	ID4 NUMBER, 
	ID5 NUMBER, 
	ID6 NUMBER, 
	ID7 NUMBER, 
	ID NUMBER, 
	SUBJEKT1 VARCHAR2(50 BYTE), 
	SUBJEKT2 VARCHAR2(50 BYTE), 
	SUBJEKT3 VARCHAR2(50 BYTE), 
	SUBJEKT4 VARCHAR2(50 BYTE), 
	SUBJEKT5 VARCHAR2(50 BYTE), 
	SUBJEKT6 VARCHAR2(50 BYTE), 
	SUBJEKT7 VARCHAR2(50 BYTE), 
	LIST VARCHAR2(50 BYTE), 
	IDX NUMBER
   );
 

  CREATE INDEX XKUPCI_IND ON XKUPCI (ID);
 

  CREATE TABLE XMTG 
   (	DOK VARCHAR2(10 BYTE), 
	TIP VARCHAR2(1 BYTE), 
	SKL VARCHAR2(6 BYTE), 
	DAT DATE, 
	VIR VARCHAR2(10 BYTE), 
	OPO VARCHAR2(30 BYTE), 
	ART VARCHAR2(13 BYTE), 
	KOL NUMBER, 
	CEN NUMBER, 
	PRENOS_NR NUMBER, 
	ID NUMBER, 
	ID_ARTIKEL NUMBER, 
	ID_PROMET NUMBER, 
	ID_DOKUMENT NUMBER, 
	 CONSTRAINT PK_XMTG PRIMARY KEY (ID));
 

  CREATE TABLE XMTGOLD 
   (	DOK VARCHAR2(10 BYTE), 
	TIP VARCHAR2(1 BYTE), 
	SKL VARCHAR2(6 BYTE), 
	DAT DATE, 
	VIR VARCHAR2(10 BYTE), 
	OPO VARCHAR2(30 BYTE), 
	ART VARCHAR2(13 BYTE), 
	KOL NUMBER, 
	CEN NUMBER, 
	PRENOS_NR NUMBER, 
	ID NUMBER, 
	ID_ARTIKEL NUMBER, 
	ID_PROMET NUMBER, 
	ID_DOKUMENT NUMBER, 
	 CONSTRAINT PK_XMTGOLD PRIMARY KEY (ID));
 

  CREATE INDEX IX_XMTGOLD1 ON XMTGOLD (PRENOS_NR);
 
  CREATE TABLE XNNDOLZINE 
   (	NIVO NUMBER NOT NULL ENABLE, 
	ID1 NUMBER NOT NULL ENABLE, 
	ID2 NUMBER NOT NULL ENABLE, 
	ID3 NUMBER NOT NULL ENABLE, 
	ID4 NUMBER NOT NULL ENABLE, 
	ID5 NUMBER NOT NULL ENABLE, 
	ID6 NUMBER NOT NULL ENABLE, 
	ID7 NUMBER NOT NULL ENABLE, 
	ID NUMBER, 
	SUBJEKT1 VARCHAR2(50 BYTE), 
	SUBJEKT2 VARCHAR2(50 BYTE), 
	SUBJEKT3 VARCHAR2(50 BYTE), 
	SUBJEKT4 VARCHAR2(50 BYTE), 
	SUBJEKT5 VARCHAR2(50 BYTE), 
	SUBJEKT6 VARCHAR2(50 BYTE), 
	SUBJEKT7 VARCHAR2(50 BYTE), 
	OD NUMBER, 
	DO NUMBER, 
	 PRIMARY KEY (NIVO, ID1, ID2, ID3, ID4, ID5, ID6, ID7));
 

  CREATE INDEX XNNDOLZINE_IND ON XNNDOLZINE (ID);

  CREATE TABLE XNNDRZAVE 
   (	NIVO NUMBER, 
	ID1 NUMBER, 
	ID2 NUMBER, 
	ID3 NUMBER, 
	ID4 NUMBER, 
	ID5 NUMBER, 
	ID6 NUMBER, 
	ID7 NUMBER, 
	ID NUMBER, 
	SUBJEKT1 VARCHAR2(50 BYTE), 
	SUBJEKT2 VARCHAR2(50 BYTE), 
	SUBJEKT3 VARCHAR2(50 BYTE), 
	SUBJEKT4 VARCHAR2(50 BYTE), 
	SUBJEKT5 VARCHAR2(50 BYTE), 
	SUBJEKT6 VARCHAR2(50 BYTE), 
	SUBJEKT7 VARCHAR2(50 BYTE), 
	LIST VARCHAR2(50 BYTE), 
	SIFRA VARCHAR2(3 BYTE)
   );
 

  CREATE INDEX XNNDRZAVE_IND ON XNNDRZAVE (ID);
 

  CREATE TABLE XNNKATEG 
   (	NIVO NUMBER, 
	ID1 NUMBER, 
	ID2 NUMBER, 
	ID3 NUMBER, 
	ID4 NUMBER, 
	ID5 NUMBER, 
	ID6 NUMBER, 
	ID7 NUMBER, 
	ID NUMBER, 
	SUBJEKT1 VARCHAR2(50 BYTE), 
	SUBJEKT2 VARCHAR2(50 BYTE), 
	SUBJEKT3 VARCHAR2(50 BYTE), 
	SUBJEKT4 VARCHAR2(50 BYTE), 
	SUBJEKT5 VARCHAR2(50 BYTE), 
	SUBJEKT6 VARCHAR2(50 BYTE), 
	SUBJEKT7 VARCHAR2(50 BYTE), 
	LIST VARCHAR2(50 BYTE), 
	KATEGORIJA NUMBER, 
	SIFRA_SKLOPA VARCHAR2(1 BYTE), 
	SIFRA VARCHAR2(2 BYTE)
   );
 

  CREATE INDEX XNNKATEG_IND ON XNNKATEG (ID);
 

  CREATE TABLE XNNOBJEKT 
   (	NIVO NUMBER, 
	ID1 NUMBER, 
	ID2 NUMBER, 
	ID3 NUMBER, 
	ID4 NUMBER, 
	ID5 NUMBER, 
	ID6 NUMBER, 
	ID7 NUMBER, 
	ID NUMBER, 
	SUBJEKT1 VARCHAR2(50 BYTE), 
	SUBJEKT2 VARCHAR2(50 BYTE), 
	SUBJEKT3 VARCHAR2(50 BYTE), 
	SUBJEKT4 VARCHAR2(50 BYTE), 
	SUBJEKT5 VARCHAR2(50 BYTE), 
	SUBJEKT6 VARCHAR2(50 BYTE), 
	SUBJEKT7 VARCHAR2(50 BYTE), 
	LIST VARCHAR2(50 BYTE), 
	SIFRA VARCHAR2(10 BYTE)
   );
 

  CREATE TABLE XNNPRIVEZ 
   (	NIVO NUMBER, 
	ID1 NUMBER, 
	ID2 NUMBER, 
	ID3 NUMBER, 
	ID4 NUMBER, 
	ID5 NUMBER, 
	ID6 NUMBER, 
	ID7 NUMBER, 
	ID NUMBER, 
	SUBJEKT1 VARCHAR2(50 BYTE), 
	SUBJEKT2 VARCHAR2(50 BYTE), 
	SUBJEKT3 VARCHAR2(50 BYTE), 
	SUBJEKT4 VARCHAR2(50 BYTE), 
	SUBJEKT5 VARCHAR2(50 BYTE), 
	SUBJEKT6 VARCHAR2(50 BYTE), 
	SUBJEKT7 VARCHAR2(50 BYTE), 
	LIST VARCHAR2(50 BYTE), 
	OBJEKT VARCHAR2(8 BYTE), 
	N_PRIVEZA VARCHAR2(12 BYTE), 
	KATEGORIJA VARCHAR2(2 BYTE)
   );
 

  CREATE INDEX PORTOROZ_XNNPRIVEZ_IND ON XNNPRIVEZ (ID);
 

  CREATE TABLE XNNSTORITVE 
   (	NIVO NUMBER, 
	ID1 NUMBER, 
	ID2 NUMBER, 
	ID3 NUMBER, 
	ID4 NUMBER, 
	ID5 NUMBER, 
	ID6 NUMBER, 
	ID7 NUMBER, 
	ID NUMBER, 
	SUBJEKT1 VARCHAR2(50 BYTE), 
	SUBJEKT2 VARCHAR2(50 BYTE), 
	SUBJEKT3 VARCHAR2(50 BYTE), 
	SUBJEKT4 VARCHAR2(50 BYTE), 
	SUBJEKT5 VARCHAR2(50 BYTE), 
	SUBJEKT6 VARCHAR2(50 BYTE), 
	SUBJEKT7 VARCHAR2(50 BYTE), 
	LIST VARCHAR2(50 BYTE), 
	SIFRA VARCHAR2(6 BYTE), 
	KAT VARCHAR2(1 BYTE), 
	TIMEKAT VARCHAR2(1 BYTE)
   );
 

  CREATE INDEX XNNSTORITVE_IND ON XNNSTORITVE (ID);
 

  CREATE TABLE XNNSTORITVETEMGRU 
   (	NIVO NUMBER NOT NULL ENABLE, 
	ID1 NUMBER NOT NULL ENABLE, 
	ID2 NUMBER NOT NULL ENABLE, 
	ID NUMBER, 
	SUBJEKT1 VARCHAR2(50 BYTE), 
	SUBJEKT2 VARCHAR2(50 BYTE), 
	XSIFRA NUMBER, 
	SIFRA VARCHAR2(6 BYTE), 
	KAT VARCHAR2(1 BYTE), 
	TIMEKAT VARCHAR2(1 BYTE), 
	 PRIMARY KEY (NIVO, ID1, ID2));
 

  CREATE INDEX XNNSTORITVETEMGRU_IND ON XNNSTORITVETEMGRU (ID);
 
  CREATE TABLE XNNTIP 
   (	NIVO NUMBER, 
	ID1 NUMBER, 
	ID2 NUMBER, 
	ID3 NUMBER, 
	ID4 NUMBER, 
	ID5 NUMBER, 
	ID6 NUMBER, 
	ID7 NUMBER, 
	ID NUMBER, 
	SUBJEKT1 VARCHAR2(50 BYTE), 
	SUBJEKT2 VARCHAR2(50 BYTE), 
	SUBJEKT3 VARCHAR2(50 BYTE), 
	SUBJEKT4 VARCHAR2(50 BYTE), 
	SUBJEKT5 VARCHAR2(50 BYTE), 
	SUBJEKT6 VARCHAR2(50 BYTE), 
	SUBJEKT7 VARCHAR2(50 BYTE), 
	LIST VARCHAR2(50 BYTE), 
	SIFRA VARCHAR2(2 BYTE)
   );
 

  CREATE INDEX XNNTIP_IND ON XNNTIP (ID) ;
 

  CREATE TABLE XNNVRSTE 
   (	NIVO NUMBER NOT NULL ENABLE, 
	ID1 NUMBER NOT NULL ENABLE, 
	ID2 NUMBER NOT NULL ENABLE, 
	ID3 NUMBER NOT NULL ENABLE, 
	ID4 NUMBER NOT NULL ENABLE, 
	ID5 NUMBER NOT NULL ENABLE, 
	ID6 NUMBER NOT NULL ENABLE, 
	ID7 NUMBER NOT NULL ENABLE, 
	ID NUMBER, 
	SUBJEKT1 VARCHAR2(50 BYTE), 
	SUBJEKT2 VARCHAR2(50 BYTE), 
	SUBJEKT3 VARCHAR2(50 BYTE), 
	SUBJEKT4 VARCHAR2(50 BYTE), 
	SUBJEKT5 VARCHAR2(50 BYTE), 
	SUBJEKT6 VARCHAR2(50 BYTE), 
	SUBJEKT7 VARCHAR2(50 BYTE), 
	 PRIMARY KEY (NIVO, ID1, ID2, ID3, ID4, ID5, ID6, ID7)) ;
 

  CREATE TABLE XPROMET 
   (	IDKUP NUMBER, 
	ID_PL_SALDKONT NUMBER, 
	ID_SALDKONT NUMBER, 
	IDSTO NUMBER, 
	ID_RACUN_DATA NUMBER, 
	IME_KUPCA VARCHAR2(50 BYTE), 
	SIFRA_STORITVE VARCHAR2(50 BYTE), 
	ZNESEK_PLACAN NUMBER, 
	ZNESEK_RACUN NUMBER, 
	ZN_DAVKA NUMBER, 
	ZNESEK NUMBER, 
	CENABD NUMBER, 
	POPUST NUMBER, 
	ODST_POPUST NUMBER, 
	DATUM_PLACILA DATE, 
	DATUM_VALUTACIJE DATE, 
	VRSTA_PLACILA VARCHAR2(3 BYTE), 
	VRSTA_RACUNA VARCHAR2(3 BYTE)
   );
 

  CREATE INDEX XPROMET_DATUM_PLACILA ON XPROMET (DATUM_PLACILA) ;
 

  CREATE TABLE XSTORITVE 
   (	DAN DATE, 
	IDSTO NUMBER, 
	IDZAS NUMBER, 
	IDDOL NUMBER, 
	IDTIP NUMBER, 
	IDVRS NUMBER, 
	SKLOP_KAT VARCHAR2(1 BYTE), 
	SKLOP_TIMEKAT VARCHAR2(1 BYTE), 
	KAT VARCHAR2(3 BYTE), 
	TIMEKAT VARCHAR2(3 BYTE), 
	STEVILO NUMBER, 
	ZNESEK NUMBER, 
	ZNESEKBP NUMBER, 
	POPUST NUMBER, 
	TRAJANJE NUMBER
   );
 

  CREATE TABLE XSTORPC 
   (	NIVO NUMBER NOT NULL ENABLE, 
	ID1 NUMBER NOT NULL ENABLE, 
	ID2 NUMBER NOT NULL ENABLE, 
	ID NUMBER, 
	SUBJEKT1 VARCHAR2(50 BYTE), 
	SUBJEKT2 VARCHAR2(50 BYTE), 
	PC VARCHAR2(10 BYTE), 
	PROCENT NUMBER, 
	SIFRA VARCHAR2(6 BYTE), 
	KAT VARCHAR2(1 BYTE), 
	TIMEKAT VARCHAR2(1 BYTE), 
	 PRIMARY KEY (NIVO, ID1, ID2));
 

  CREATE INDEX XSTORPC_IND ON XSTORPC (ID);
 

  CREATE TABLE YNNPRIVEZ 
   (	NIVO NUMBER, 
	ID1 NUMBER, 
	ID2 NUMBER, 
	ID NUMBER, 
	SUBJEKT1 VARCHAR2(50 BYTE), 
	SUBJEKT2 VARCHAR2(50 BYTE), 
	OBJEKT VARCHAR2(8 BYTE), 
	N_PRIVEZA VARCHAR2(12 BYTE)
   );
 

  CREATE INDEX YNNPRIVEZ_IND ON YNNPRIVEZ (ID) ;
 

  CREATE TABLE YSTORITVE 
   (	ID NUMBER, 
	SUBJEKT VARCHAR2(50 BYTE), 
	STEVILO NUMBER, 
	ZNESEK NUMBER, 
	ZNESEKBP NUMBER, 
	POPUST NUMBER, 
	TRAJANJE NUMBER
   );
 

  CREATE TABLE ZPROMET 
   (	DAN DATE, 
	COORD VARCHAR2(30 BYTE)
   );
 

  CREATE TABLE ZSTORITVE 
   (	DAN DATE, 
	COORD VARCHAR2(30 BYTE)
   );
 

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (211, SYSDATE, '5.5', 131, 'EIS');